> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/exchange/reading-exchange-rates-in-bulk.md).

# Reading exchange rates in bulk

## Read exchange rates in bulk

<mark style="color:green;">`GET`</mark> `/api/public/v1/exchange/rates`

This endpoint returns **indicative** **rates** for a specified currency.

You cannot specify quantity.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_token>`       |

**Query parameters**

<table><thead><tr><th>Name</th><th width="105">Type</th><th>Description</th></tr></thead><tbody><tr><td>currency_code</td><td>string</td><td>Currency code. E.g. USDT. Refer to <a href="/pages/brqdFdtRYeQJbmkSBxHi">Supported currency pairs</a>.</td></tr></tbody></table>

**Response Body**

<table><thead><tr><th>Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td>data[].id</td><td>string</td><td>Rate ID, formed from the base and quote currency codes. Example: <code>USDTBRL</code>.</td></tr><tr><td>data[].type</td><td>string</td><td>Entity type returned. Always <code>indicativeRates</code>.</td></tr><tr><td>data[].attributes</td><td>object</td><td>Set of rate attributes.</td></tr><tr><td>data[].attributes.baseCurrencyCode</td><td>string</td><td>Base currency code. Matches the requested <code>currency_code</code>.</td></tr><tr><td>data[].attributes.quoteCurrencyCode</td><td>string</td><td>Quote currency code.</td></tr><tr><td>data[].attributes.price</td><td>string</td><td>Indicative price of one unit of the base currency expressed in the quote currency.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": [
    {
      "id": "USDTBRL",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "BRL",
        "price": "5.34979458"
      }
    },
    {
      "id": "USDTCLP",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "CLP",
        "price": "943.21695"
      }
    },
    {
      "id": "USDTCNY",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "CNY",
        "price": "7.11936355"
      }
    },
    {
      "id": "USDTINR",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "INR",
        "price": "88.6276987115"
      }
    },
    {
      "id": "USDTKRW",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "KRW",
        "price": "1457.4687331685"
      }
    },
    {
      "id": "USDTNZD",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "NZD",
        "price": "1.7794"
      }
    },
    {
      "id": "USDTTHB",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "THB",
        "price": "32.3302989997"
      }
    },
    {
      "id": "USDTTRY",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "TRY",
        "price": "42.1940769783"
      }
    },
    {
      "id": "USDTPEN",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "PEN",
        "price": "3.377736375"
      }
    },
    {
      "id": "USDTCOP",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "COP",
        "price": "3824.5299627002"
      }
    },
    {
      "id": "USDTMYR",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "MYR",
        "price": "4.1747472"
      }
    },
    {
      "id": "USDTMXN",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "MXN",
        "price": "18.5255956535"
      }
    },
    {
      "id": "USDTHKD",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "HKD",
        "price": "7.7754416675"
      }
    },
    {
      "id": "USDTTWD",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "TWD",
        "price": "30.96800681"
      }
    },
    {
      "id": "USDTVND",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "VND",
        "price": "26304.4340826657"
      }
    },
    {
      "id": "USDTIDR",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "IDR",
        "price": "16684.650192873"
      }
    },
    {
      "id": "USDTAUD",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "AUD",
        "price": "1.5410585437"
      }
    },
    {
      "id": "USDTZAR",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "ZAR",
        "price": "17.31670343"
      }
    },
    {
      "id": "USDTNGN",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "NGN",
        "price": "1437.158723"
      }
    },
    {
      "id": "USDTPHP",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "PHP",
        "price": "59.0782702003"
      }
    },
    {
      "id": "USDTEUR",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "EUR",
        "price": "0.865865"
      }
    },
    {
      "id": "USDTUSD",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "USD",
        "price": "0.9997"
      }
    },
    {
      "id": "USDTBTC",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "BTC",
        "price": "0.000009919947"
      }
    },
    {
      "id": "USDTTRX",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "TRX",
        "price": "3.504663843062"
      }
    },
    {
      "id": "USDTBCH",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "BCH",
        "price": "0.002062154567"
      }
    },
    {
      "id": "USDTLTC",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "LTC",
        "price": "0.011272433796"
      }
    },
    {
      "id": "USDTETH",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "ETH",
        "price": "0.000304233433"
      }
    },
    {
      "id": "USDTUSDC",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "USDC",
        "price": "0.999700179892"
      }
    },
    {
      "id": "USDTXRP",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "XRP",
        "price": "0.455995369317"
      }
    },
    {
      "id": "USDTLINK",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "LINK",
        "price": "0.067556162298"
      }
    },
    {
      "id": "USDTCAD",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "CAD",
        "price": "1.41105"
      }
    },
    {
      "id": "USDTPOL",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "POL",
        "price": "5.874236372564"
      }
    },
    {
      "id": "USDTJPY",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "JPY",
        "price": "153.28"
      }
    },
    {
      "id": "USDTSOL",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "SOL",
        "price": "0.006460783721"
      }
    },
    {
      "id": "USDTADA",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "ADA",
        "price": "1.859566040166"
      }
    },
    {
      "id": "USDTDOGE",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "DOGE",
        "price": "6.063363076122"
      }
    },
    {
      "id": "USDTSHIB",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "SHIB",
        "price": "107816.993585615411"
      }
    },
    {
      "id": "USDTGBP",
      "type": "indicativeRates",
      "attributes": {
        "baseCurrencyCode": "USDT",
        "quoteCurrencyCode": "GBP",
        "price": "0.762715"
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}

{% tab title="HTTP 422" %}

```json
{
  "errors": [
    {
      "status": 404,
      "title": "Record not found",
      "code": "currency_not_found",
      "detail": "Currency not found"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.txn.io/exchange/reading-exchange-rates-in-bulk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
